List registry users
curl --request GET \
--url https://api.gcore.com/cloud/v1/registries/{project_id}/{region_id}/{registry_id}/users \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v1/registries/{project_id}/{region_id}/{registry_id}/users"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/registries/{project_id}/{region_id}/{registry_id}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"created_at": "2024-06-18T09:36:53.335000Z",
"duration": 14,
"expires_at": "2024-06-18T09:36:53.335000Z",
"id": 1,
"name": "user1",
"read_only": false
}
]
}Registry
List registry users
List all users with access to the container registry.
GET
/
cloud
/
v1
/
registries
/
{project_id}
/
{region_id}
/
{registry_id}
/
users
List registry users
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Region ID
Registry ID
Query Parameters
Limit the number of returned items
Offset value is used to exclude the first set of records from the result
Was this page helpful?
⌘I